/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var mostraPanelNuevoDocumento = 0;
$("#contenedorNuevoDocumento").hide();

$("#btnModalActivarDocumento").click(function () {
    document.getElementById('cveDocumento').value = "default";
});

function abriCerrarPanel() {
    $("#nomDocNuevo").val("");
    if (mostraPanelNuevoDocumento == 0) { // EL PANEL ESTÁ OCULTO
        $("#contenedorNuevoDocumento").show("slow");
        mostraPanelNuevoDocumento = 1;
        $("#btnAbrirPanelNuevoDocumento").val("Cerrar");
    } else if (mostraPanelNuevoDocumento == 1) { // EL PANEL ESTÁ ABIERTO
        $("#contenedorNuevoDocumento").hide("slow");
        mostraPanelNuevoDocumento = 0;
        $("#btnAbrirPanelNuevoDocumento").val("Nuevo");
    }
}


$("#btnAbrirPanelNuevoDocumento").click(function () {
    $("#nomDocNuevo").val("");
    if (mostraPanelNuevoDocumento == 0) { // EL PANEL ESTÁ OCULTO
        $("#contenedorNuevoDocumento").show("slow");
        mostraPanelNuevoDocumento = 1;
        $("#btnAbrirPanelNuevoDocumento").val("Cerrar");
    } else if (mostraPanelNuevoDocumento == 1) { // EL PANEL ESTÁ ABIERTO
        $("#contenedorNuevoDocumento").hide("slow");
        mostraPanelNuevoDocumento = 0;
        $("#btnAbrirPanelNuevoDocumento").val("Nuevo");
    }
});


$("#btnAgregarNuevoDoc").click(function () {
    var ideAlu = $("#idAlu").val();
    var texto = $("#nomDocNuevo").val();

    if (texto !== "") {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/altaDocumentosTitulacion',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: ideAlu, texto: texto},
            // especifica si será una petición POST o GET
            type: 'GET',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedor-activar-documento").innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> validando...</strong>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedor-activar-documento").innerHTML = respuesta;

                $("#contenedorNuevoDocumento").hide("slow");
                mostraPanelNuevoDocumento = 0;
                $("#btnAbrirPanelNuevoDocumento").val("Nuevo");
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
            },
            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    } else {
        swal("", "¡Debe escribir el nombre del Documento!", "warning");

    }

});

$("#btnModAgregarDocumento").click(function () {
    var documento = document.getElementById('cveDocumento').value;
    var ideAlu = $("#idAlu").val();

    if (documento == "default") {
        swal("", "¡Debe seleccionar un Documento!", "warning");
    } else {
        console.log("DOCUMENTO:" + documento);
        console.log("ALUMNO:" + ideAlu);
        /**
         * SE MANDAN LOS DATOS NECESARIOS PARA ACTIVAR LA DOCUMENTACIÓN DEL ALUMNO
         * en la tabla DOCUMENTOS-ALUMNOS
         */

        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/altaDocumentosTitulacion',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: ideAlu, ideDoc: documento},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedor-pendientes").innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> validando...</strong>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedor-pendientes").innerHTML = respuesta;
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
            },
            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });


    }
});

function ventanaModalEscaner(da, alu, doc, name) {
    console.log(da + " " + alu + " " + doc + " " + name);
    document.getElementById("contTablaMod3").innerHTML = "";
    document.getElementById("contTablaMod3").innerHTML = '<i class="fa fa-file fa-fw"></i><b>' + name + '</b>';

    document.getElementById("ideAlu").value = alu;
    document.getElementById("ideDocAlu").value = da;
    document.getElementById("nomDoc").value = name;
    document.getElementById("server_response").innerHTML = "";


}

$("#btnModCerrarEscanearDocumento").click(function () {
    var ideAlu = $("#idAlu").val();

    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/loadDocTitPendientes',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedor-pendientes").innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> validando...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedor-pendientes").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
        },
        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
});


$("#btnModLiberarDocumento").click(function () {
    var nomRecibe = $("#nomRecibe").val();
    var nomEntrega = $("#nomEntrega").val();
    var plantelRecibe = $("#recibePlantel").val();
    var ideAlu = $("#idAlu").val();

    if (nomRecibe == "") {
        swal("", "¡Debe escribir el nombre de la persona que recibe el Documento!", "warning");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/freeDocTitPendientes',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: ideAlu, recibe: nomRecibe, entrega: nomEntrega, plantel: plantelRecibe},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedor-free-documento").innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> validando...</strong>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedor-free-documento").innerHTML = respuesta;
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedor-free-documento").innerHTML = "ERRROR";
            },
            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });


    }
});